@import url("https://rsms.me/inter/inter.css");
@import url("https://rsms.me/res/fonts/ibm-plex-mono.css");

html {
    background-color: black;
}

body {
    /* font-family: 'Kanit', sans-serif; */
    font-weight: bold;
    font-size: 36px;
    line-height: 1.1;

    background-color: black;
    color: white;
    margin: 0 0;
    padding: 0 0;
    user-select: none;
}

body * {
    user-select: none;
    font-family: Inter, -system-ui, system-ui, sans-serif
}
/* 
div.scroller {
    height: 6000px;
    width: 100%;
} */

/* h1 {
    position: fixed;
    top: 48px;
    left: 48px;
    z-index: 1;

} */

/* a {
    position: fixed;
    top: 48px;
    right: 48px;
    color: white;
    text-decoration: none;
} */

h1,
a,
div {
    mix-blend-mode: difference;
    box-sizing: border-box;
}

.center {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.top {
    position: fixed;
    top: 40px;
    left: 50%;
    transform: translate(-50%, 0)
}

.left {
    position: fixed;
    top: 50%;
    left: 40px;
    transform-origin: 0 0;
    transform: rotate(-90deg) translate(-50%, 0)
}

.right {
    position: fixed;
    top: 50%;
    right: 40px;
    transform-origin: 100% 0;
    transform: rotate(90deg) translate(50%, 0)
}

.bottom {
    position: fixed;
    bottom: 40px;
    left: 50%;
    transform: rotate(180deg) translate(50%, 0) scale(-1);
}

h1:hover,
a:hover {
    border-bottom: 1px solid blue;
    box-sizing: border-box;
}

canvas {
    vertical-align: bottom;
    /* position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 0; */
}

.center {
    display: flex;
    flex-direction: column;

}

small {
    font-size: 12px;
    position: absolute;
}

small.divider {
    font-size: 12px;
    position: relative;
    text-decoration: line-through;
}

.point {
    width: 0px;
    height: 0px;
    position: relative;
}

.point img {
    position: absolute;

}

.about {
    font-weight: 300;
    font-size: 12px;
}